package parziale.p191108;

import java.util.Objects;

public class Cliente {
	
	// Variabili di instanza
	private String nominativo;
	private String cf;
	private String cittaResidenza;
	
	// Costruttore
	public Cliente(
			String nominativo,
			String cf,
			String cittaResidenza) {
		this.nominativo = nominativo;
		this.cf = cf;
		this.cittaResidenza = cittaResidenza;
	}
	
	// Getters
	public String nominativo() {
		return nominativo;
	}
	
	public String cf() {
		return cf;
	}
	
	public String cittaResidenza() {
		return cittaResidenza;
	}
	
	// Hash
	public int hashCode() {
		return Objects.hash(nominativo, cf, cittaResidenza);
	}
}
